BACKUP_ADDHOST(8)

NAME
backup_addhost - Adds a Tape Coordinator entry to the Backup Database

SYNOPSIS
backup addhost -tapehost <tape machine name>
    [-portoffset <TC port offset>]
    [-localauth] [-cell <cell name>] [-help]

backup addh -t <tape machine name>
    [-p <TC port offset>]
    [-l] [-c <cell name>] [-h]

DESCRIPTION
The backup addhost command creates a Tape Coordinator entry in the Backup Database. The entry records

•   The host name of the Tape Coordinator machine where the Tape Coordinator (butc) process runs, as specified with the -tapehost argument.

•   The Tape Coordinator's port offset number, as specified with the -portoffset argument. An entry for the port offset must also appear in the /var/lib/openafs/backup/tapeconfig file on the Tape Coordinator machine, where it is mapped to a UNIX device name (for a tape device) or pathname (for a backup data file).

Each Tape Coordinator must have its own port offset number, and the command fails if a Backup Database entry already exists for the requested port offset number. To display existing Tape Coordinator entries, use the backup listhosts command.

OPTIONS

-tapehost <tape machine name>
    Specifies the fully-qualified hostname of the machine for which to create a Tape Coordinator entry in the Backup Database. The machine must have an entry in either the cell's naming service (such as the Domain Name Service) or the host file (/etc/hosts or equivalent) on the machine where the command is issued.

-portoffset <TC port offset>
    Specifies the Tape Coordinator's port offset number. Provide an integer from the range 0 through 58510, or omit this argument to use the default value of 0 (zero). The value must match the port offset number recorded for the same combination of Tape Coordinator and tape device or file in the /var/lib/openafs/backup/tapeconfig file on the Tape Coordinator machine named by the -tapehost argument.

-localauth
    Constructs a server ticket using a key from the local /etc/openafs/server/KeyFile file. The backup command interpreter presents it to the Backup Server, Volume Server and VL Server during mutual authentication. Do not combine this flag with the -cell argument. For more details, see backup(8).

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see backup(8).

-help
    Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following command creates an entry in the Backup Database that assigns port offset number 4 to a Tape Coordinator running on the machine "backup1.example.com":

   % backup addhost -tapehost backup1.example.com -portoffset 4

The following command creates a Backup Database entry that assigns port offset number 0 to a Tape Coordinator on the machine "backup3.example.com":

   % backup addhost backup3.example.com

PRIVILEGE REQUIRED
The issuer must be listed in the /etc/openafs/server/UserList file on every machine where the Backup Server is running, or must be logged onto a server machine as the local superuser "root" if the -localauth flag is included.

SEE ALSO
backup(8), backup_delhost(8), backup_listhosts(8)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.